import { Action } from '@ngrx/store';
export declare enum ActionTypes {
    UNDO = "[ngrx-history] UNDO",
    REDO = "[ngrx-history] REDO",
    JUMP_TO_FUTURE = "[ngrx-history] JUMP_TO_FUTURE",
    JUMP_TO_PAST = "[ngrx-history] JUMP_TO_PAST",
    JUMP = "[ngrx-history] JUMP",
    CLEAR_HISTORY = "[ngrx-history] CLEAR_HISTORY"
}
export declare class UndoAction implements Action {
    readonly type = ActionTypes.UNDO;
}
export declare class RedoAction implements Action {
    readonly type = ActionTypes.REDO;
}
export declare class JumpToFutureAction implements Action {
    payload: number;
    readonly type = ActionTypes.JUMP_TO_FUTURE;
    constructor(payload: number);
}
export declare class JumpToPastAction implements Action {
    payload: number;
    readonly type = ActionTypes.JUMP_TO_PAST;
    constructor(payload: number);
}
export declare class JumpAction implements Action {
    payload: number;
    readonly type = ActionTypes.JUMP;
    constructor(payload: number);
}
export declare class ClearHistoryAction implements Action {
    readonly type = ActionTypes.CLEAR_HISTORY;
}
export declare type ActionUnion = UndoAction | RedoAction | JumpToFutureAction | JumpToPastAction | JumpAction | ClearHistoryAction;
export declare const ActionCreators: {
    undo(): UndoAction;
    redo(): RedoAction;
    jumpToFuture(index: number): JumpToFutureAction;
    jumpToPast(index: any): JumpToPastAction;
    jump(index: any): JumpAction;
    clearHistory(): ClearHistoryAction;
};
