import { Action } from '@ngrx/store';
export interface History<T> {
    _latestUnfiltered?: T;
    index?: number;
    limit?: number;
    past?: T[];
    present?: T;
    future?: T[];
    group?: string;
}
export declare function parseActions(rawActions: string | string[], defaultValue?: string[]): string[];
export declare function isHistory(history: any): boolean;
export declare type Filter<T, V extends Action = Action> = (action: V, state?: T, history?: History<T>) => boolean;
export declare function includeAction(rawActions: string | string[]): Filter<never>;
export declare function excludeAction(rawActions: string | string[]): Filter<never>;
export declare function combineFilters<T>(...filters: Filter<T>[]): Filter<T, Action>;
export declare type GroupBy<T, V extends Action = Action> = (action: V, state?: T, history?: History<T>) => string;
export declare function groupByActionTypes(rawActions: string[]): GroupBy<never>;
export declare function newHistory<T>(past: T[], present: T, future: T[], group?: string): History<T>;
