import { History, Filter, GroupBy } from './helpers';
import { ActionReducer, Action } from '@ngrx/store';
export interface UndoableConFig<T, V extends Action = Action> {
    initTypes?: string | string[];
    limit?: number;
    filter?: Filter<T, V>;
    groupBy?: GroupBy<T, V>;
    undoType?: string;
    redoType?: string;
    jumpToPastType?: string;
    jumpToFutureType?: string;
    jumpType?: string;
    clearHistoryType?: string[];
    neverSkipReducer?: boolean;
    ignoreInitialState?: boolean;
    syncFilter?: boolean;
}
export declare function undoableFactory<T, V extends Action = Action>(rawConfig: UndoableConFig<T>): (reducer: ActionReducer<T, Action>) => ActionReducer<History<T>, Action>;
export declare function undoable<T, V extends Action = Action>(reducer: ActionReducer<T, V>, undoableConfig?: UndoableConFig<T>): ActionReducer<History<T>, Action>;
